summaryrefslogtreecommitdiff
path: root/Build
diff options
context:
space:
mode:
Diffstat (limited to 'Build')
-rw-r--r--Build/tools/etc/check-ctan2tl-output.pl21
-rwxr-xr-xBuild/tools/etc/ctan2tl.new168
-rw-r--r--Build/tools/etc/do_check6
-rw-r--r--Build/tools/etc/reindent-workingtpm.pl144
-rwxr-xr-xBuild/tools/tpm-ctan-check198
5 files changed, 440 insertions, 97 deletions
diff --git a/Build/tools/etc/check-ctan2tl-output.pl b/Build/tools/etc/check-ctan2tl-output.pl
new file mode 100644
index 00000000000..0311df9d8a6
--- /dev/null
+++ b/Build/tools/etc/check-ctan2tl-output.pl
@@ -0,0 +1,21 @@
+
+my $indata=0;
+my $innewvspresent=0;
+my $linesdiff=0;
+my $opdiff=0;
+while (<>) {
+ if (/^BEGIN COMPARE DATA$/) { $indata=1; next ; }
+ if (/^END COMPARE DATA$/) { $indata=0; next ; }
+ if (/can't find CTAN directory for /) { $opdiff = -10; last; }
+ if (!$indata) { next; }
+ if (/^ new vs\. present /) { $innewvspresent=1; next; }
+ if (/^CMP: [0-9]* common files, ~([0-9]*) lines different/) {
+ $innewvspresent=0;
+ $linesdiff = $1;
+ last;
+ }
+ $opdiff++;
+ #print if $indata;
+}
+print "files diff: $opdiff; linesdiff: $linesdiff\n";
+
diff --git a/Build/tools/etc/ctan2tl.new b/Build/tools/etc/ctan2tl.new
new file mode 100755
index 00000000000..1a486865b34
--- /dev/null
+++ b/Build/tools/etc/ctan2tl.new
@@ -0,0 +1,168 @@
+#!/bin/sh
+# $Id: ctan2tl 2084 2006-09-05 22:03:38Z karl $
+# Public domain. Originally written 2005, Karl Berry.
+#
+# Initial attempt at pushing a ctan directory into TL.
+# See ./README for a bit more info.
+#
+# Basic usage: ctan2tl TLPKGNAME
+# --place to include final `place' invocation (repository adds/removes).
+# --no-ctan if already have files in ../cdbuild/raw/PKG.
+# Unlikely to work without GNU utilities.
+#
+# This does not actually commit anything to the repository. Without
+# --place, it doesn't even create any files in the repository outside of
+# cdbuild/{raw,cooked}.
+
+unset CDPATH # avoid extraneous output
+
+mydir=`cd \`dirname $0\` && pwd` # Build/tools
+raw=$mydir/../cdbuild/raw
+test -d $raw || mkdir $raw
+cd $raw || exit 1
+
+if test "x$1" = x--place; then
+ place_chicken=
+ shift
+else
+ place_chicken=-n
+fi
+
+if test "x$1" = x--no-ctan; then
+ copy_from_ctan=false
+ shift
+else
+ copy_from_ctan=true
+fi
+
+pkg=$1
+if test -z "$pkg"; then
+ echo "$0: no TL package name specified." >&2
+ exit 1
+fi
+
+ctan_dir1=`tlpkginfo --ctan-dir $pkg`
+if test -z "$ctan_dir1"; then
+ echo "$0: can't find CTAN directory for $pkg." >&2
+ exit 1
+fi
+echo "$0: ctan dir for $pkg is $ctan_dir1"
+
+if $copy_from_ctan; then
+
+# remove whatever old stuff we might have.
+rm -rf $pkg
+
+# An important special case: the latex-tds project contains tds-ready
+# zip files for the base latex distribution and amslatex.
+# We want to use them.
+corelatex_tds_pkglist="babel|cyrillic|graphics|latex|psnfss|tools"
+amslatex_tds_pkglist="ams|amscls|amsltx2|amsmath|amsrefs" # dup in tlpkginfo
+latex_tds_pkglist="latex-tds|$amslatex_tds_pkglist|$corelatex_tds_pkglist"
+
+if echo "$pkg" | egrep "^($latex_tds_pkglist)\$" >/dev/null; then
+ mkdir $pkg
+ ctan_root=`tlpkginfo --ctan-root`
+ #
+ # complications: the latex-tds package, for our purposes, is the
+ # sources for the tools that do the process; that's in the zip file
+ # source.zip, in the latex-tds directory. Similarly, the zip file for
+ # latex itself is named "base.zip". Finally, amslatex.zip actually
+ # contains several packages (= directories) -- such as ams, amscls,
+ # etc. AMS sets it up that way.
+ #
+ if test $pkg = latex-tds; then
+ zipname=source.zip
+ elif test $pkg = latex; then
+ zipname=base.zip
+ elif echo "$pkg" | egrep "^($amslatex_tds_pkglist)\$" >/dev/null; then
+ zipname=amslatex.zip
+ else
+ zipname=$pkg.zip
+ fi
+ (cd $pkg && unzip -qq $ctan_root/macros/latex/contrib/latex-tds/$zipname)
+
+elif test "$pkg" = rsc; then
+ # single bst file.
+ mkdir -p $pkg
+ cp -p $ctan_dir1 $pkg
+
+elif test "$pkg" = genmisc; then
+ # do not copy subdirs, symlinks, or any files but .sty and .tex
+ # (that is, no patch.doc or pmat.zip).
+ mkdir -p $pkg
+ cp -p \
+ `find $ctan_dir1/* '(' -type d -o -type l ')' -prune -o \
+ '(' -name '*.sty' -o -name *.tex ')' -print` \
+ $pkg
+
+else
+ # normal case (/. to deref symlinks, e.g., arabtex)
+ cp -pr $ctan_dir1/. $pkg
+fi
+
+# Another special case: annoyingly, tugboat plain and tugboat latex are
+# stored in two different places on ctan. we'll assume we're invoked
+# with the latex dir, and now arrange to also copy in the plain stuff to
+# a `plain' subdirectory, which ctan2tds.pl has a further special case
+# to handle. Maybe we'll come across other cases like this, in which
+# case we can generalize this.
+#
+if test "$pkg" = tugboat; then
+ ctan_dir2=`echo $ctan_dir1 | sed s/latex/plain/`
+ destdir2=$pkg/plain
+ cp -r $ctan_dir2 $destdir2
+fi
+
+fi # end of copying from CTAN.
+
+
+#
+printf "\n ctan2tds\n"
+rm -rf ../cooked/$pkg
+test -d ../cooked || mkdir ../cooked
+../ctan2tds.pl $pkg || exit 1
+
+cd ../cooked || exit 1
+printf "\n\f cooked\n"
+find -depth -type d | xargs rmdir 2>/dev/null
+find $pkg \! -type d -printf "%TY%Tm%Td.%TH%TM %p\n" | sort -r +1
+
+# compare to tpm.
+Master=../../../Master
+tpmfile=`ls $Master/texmf*/tpm/$pkg.tpm 2>/dev/null`
+if test -z "$tpmfile"; then
+ echo "$0: no tpm file for $pkg in `cd $Master; pwd`." >&2
+else
+ printf "\nBEGIN COMPARE DATA"
+ printf "\n\f new vs. present $tpmfile\n"
+ rm -f /tmp/pkgfiles.*
+ # remove leading text in case of lines starting with texmf.
+ # Then assume all actual files do start with texmf.
+ sed -n -e '/TPM:.*Files/,$s,^texmf,./texmf,p' $tpmfile \
+ | grep -v '\.tpm$' \
+ | sort >/tmp/pkgfiles.tpm
+ #
+ # list of files in the new package we've just cooked.
+ (cd $pkg && find \! -type d -print) | grep -v '/cooked/' \
+ | sort >/tmp/pkgfiles.new
+ #
+ comm -3 /tmp/pkgfiles.new /tmp/pkgfiles.tpm
+ #
+ for common_file in `comm -12 /tmp/pkgfiles.new /tmp/pkgfiles.tpm`; do
+ diff --ignore-all-space -u0 $Master/$common_file $pkg/$common_file
+ done >/tmp/tldiff
+ diff_lines=`wc -l </tmp/tldiff`
+ diff_lines=`expr $diff_lines / 2`
+ printf "CMP: %d common files, ~%d lines different (/tmp/tldiff)\n" \
+ `comm -12 /tmp/pkgfiles.new /tmp/pkgfiles.tpm | wc -l` $diff_lines
+ printf "\nEND COMPARE DATA\n"
+fi
+
+printf "\n\f place $place_chicken\n"
+rm -rf $pkg.done
+../place $place_chicken $pkg
+status=$?
+
+rm -rf ../raw/$pkg
+exit $status
diff --git a/Build/tools/etc/do_check b/Build/tools/etc/do_check
new file mode 100644
index 00000000000..867d939fb62
--- /dev/null
+++ b/Build/tools/etc/do_check
@@ -0,0 +1,6 @@
+
+for i in $(cat missing-tpms) ; do
+ bn=$(basename $i .tpm)
+ echo -n "TPM: $bn "
+ ./ctan2tl.new $bn 2>&1 | perl ./check-ctan2tl-output.pl
+done
diff --git a/Build/tools/etc/reindent-workingtpm.pl b/Build/tools/etc/reindent-workingtpm.pl
new file mode 100644
index 00000000000..0c42b724b3e
--- /dev/null
+++ b/Build/tools/etc/reindent-workingtpm.pl
@@ -0,0 +1,144 @@
+
+my @WorkingTPM = qw(
+ 12many
+ a0poster aastex abbr abc abstract accfonts acmtrans acronym
+ active-conf aguplus algorithm2e algorithmicx algorithms
+ alnumsec ams amscls amsldoc-it amsltx2 amsmath amsrefs
+ amsthdoc-it apacite appendix arabtex archaic arcs arev
+ armenian arrayjob arydshln ascii assignment attachfile
+ aurical
+ babelbib beamer beamer-tut-pt beebe begriff betababel bezos
+ bghyphen bibhtml bibleref bibtopic bibunits bigfoot
+ birthday bitfield blacklettert1 blindtext booklet bophook
+ boxhandler breakurl bussproofs bytefield
+ caption carlisle cbcoptic ccaption cdpbundl cellspace
+ changebar chappg chem-journal chemcompounds cherokee circ
+ citeref cjhebrew clefval clock cmdtrack cmll colorinfo
+ colortbl commath compactbib complexity comprehensive
+ computational-complexity cool coollist coolstr cooltooltips
+ coordsys courier-scaled courseoutline coursepaper coverpage
+ crop csquotes ctable cursolatex curve curve2e curves
+ custom-bib cvsty cyrillic
+ dancers dashbox dateiliste datetime dcpic decimal digiconfigs
+ dinat dingbat directory dk-bib doipubmed dottex
+ draftwatermark dramatist dtxtut dvdcoll dvipsconfig dyntree
+ ebong eCards economic ednotes eemeir egameps egplot eijkhout
+ ellipsis elpres elsevier emulateapj endfloat endheads
+ engrec enumitem envbig epiolmec epsf eqparbox es-tex-faq
+ ESIEEcv esint esint-type1 eskd eskdx eso-pic etaremune
+ ethiop ethiop-t1 euro europecv eurosans everypage exam
+ examdesign examplep exercise expressg extarrows exteps
+ extpfeil extsizes
+ faktor fancyhdr fancynum fax featpost filecontents fixme
+ flagderiv flippdf floatflt floatrow flowfram fltpoint
+ fmtcount fncychap foekfont fontch fontspec forloop formular
+ fourier fp free-math-font-survey frenchle fribrief functan
+ galois gatech-thesis genmisc genmpage germbib ginpenc
+ glossary gnuplottex gost graphics graphicx-psmin greenpoint
+ grnumalt GuIT
+ HA-prosper hands hepthesis hhtensor hitec hrlatex hvfloat
+ hyperref hyperxmp hyphen-base hyphen-basque hyphen-german
+ hyphen-greek hyphen-norwegian hyphen-ukenglish
+ hyphen-usorbian hyplain
+ ibygrk icsv IEEEconf IEEEtran ifxetex inlinebib invoice
+ iopart-num isorot isotope
+ jneurosci jpsj juramisc
+ kalender kerkis keystroke koma-script
+ l2picfaq l2tabu-english labelcas labels latex latex-tds
+ layouts lcd lcg leaflet leawood ledmac lewis lfb lgreek lh
+ limap linearA lineno lipsum listings listliketab lkproof
+ logpap lsc lshort-bulgarian lshort-dutch lshort-english
+ lshort-finnish lshort-french lshort-german lshort-italian
+ lshort-japanese lshort-korean lshort-mongolian
+ lshort-polish lshort-portuguese lshort-slovak
+ lshort-spanish lshort-thai lshort-turkish lshort-ukrainian
+ lshort-vietnamese ltablex ltabptch ltxindex ltxmisc
+ mafr magyar mailing makebox makecell makecirc makeglos
+ makeplot maple marginnote mathdots mathmode maybemath
+ mcaption mceinleger mdwtools memoir MemoirChapStyles mentis
+ menu metaobj metaplot metatex metauml mfpic mftinc mhchem
+ mhs microtype minipage-marginpar minitoc minitoc mla-paper
+ moderncv movie15 msg multicap munich muthesis mwcls mwrite
+ nag natbib nath nature ncclatex ncctools newlfm nih noitcrul
+ nomencl nomentbl ntgclass ntheorem-vn numline numprint
+ oberdiek ocr-latex octavo ofs ogham oldstyle opcit
+ papercdcase paresse parrun pauldoc pdf-trans pdfcprot
+ pdfpages pdfscreen pdftex-def perception perltex permute
+ pgf phaistos pict2e pictex pittetd placeins plari plates
+ poemscol polynom powerdot ppr-prv pracjourn preprint
+ prettyref preview probsoln program protocol pseudocode
+ psfrag psnfss pspicture pst-3d pst-3dplot pst-bar
+ pst-barcode pst-blur pst-eucl pst-fr3d pst-func pst-labo
+ pst-lens pst-math pst-optic pst-osci pst-pdf pst-pdgr
+ pst-slpe pst-uml pstricks pstricks-add
+ qcm qtree
+ randbild rccol rcsinfo refstyle resume robustcommand
+ robustindex rsc rtkinenc rtklage
+ sae sauerj sauterfonts savefnmark savesym savetrees scale
+ scalebar scientificpaper sciposter screenplay script
+ sectionbox sectsty semantic semaphor seminar semioneside
+ seqsplit setspace sf298 sffms sgame shadbox shapepar
+ shorttoc showdim showexpl showlabels sidecap sides siggraph
+ SIstyle SIunits skaknew slideshow smalltableof smartref
+ snapshot songbook sort-by-letters soul sparklines spie
+ splines splitbib splitindex spotcolor sprite srcltx sseq
+ ssqquote stack stage stdclsdv stdpage stellenbosch struktex
+ sttools subeqn subeqnarray subfig subfloat substr sudoku
+ sudokubundle sugconf supertabular svn svn-multi svninfo
+ swebib syntax syntrace synttree
+ t-angles Tabbing tableaux tabulary tabvar talk tamethebeast
+ tengwarscript tensor teubner tex-refs texmate texshade
+ textcase textfit textopo textpos thesis-titlepage-fhac
+ thumb thumbpdf ticket titlefoot titlesec titling tocbibind
+ tocloft todo tokenizer toolbox tools totpages tracking
+ trajan trfsigns trsym tugboat twoup Type1fonts typedref
+ typogrid
+ ucthesis uhrzeit uiucthesis umich-thesis umlaute underlin
+ undertilde units unitsdef upquote ushort
+ vancouver variations varindex vector velthuis verse versions
+ vhistory visualfaq vmargin volumes vpe
+ wallpaper warning warpcol williams wordlike wrapfig
+ xcolor xifthen xkeyval xltxtra xq xtab xyling xypic-tut-pt
+ xytree
+ york-thesis
+ );
+
+
+
+my @foo = sort {uc($a) cmp uc($b)} @WorkingTPM;
+
+print_foo(@foo);
+
+
+sub firstletter {
+ my ($bar) = @_;
+ my @foo = split //, $bar;
+ return(uc($foo[0]));
+}
+
+sub print_foo {
+ my(@foo) = @_;
+ my $newletter = 1;
+ my $curline = "";
+ my $curletter = "";
+ my $initshift = " ";
+ my $medshift = " ";
+ foreach $t (@foo) {
+ my $fl = firstletter($t);
+ if ($fl eq $curletter) {
+ if (length($curline) + 1 + length($t) >= 70) {
+ print "$curline\n";
+ $curline = "$initshift$medshift$t";
+ } else {
+ $curline .= " $t";
+ }
+ } else {
+ print "$curline\n";
+ $curline = "$initshift$t";
+ $curletter = $fl;
+ }
+ }
+ print $curline;
+}
+
+
diff --git a/Build/tools/tpm-ctan-check b/Build/tools/tpm-ctan-check
index b636deacd8c..c2f46b78a0c 100755
--- a/Build/tools/tpm-ctan-check
+++ b/Build/tools/tpm-ctan-check
@@ -6,103 +6,107 @@
use File::Basename;
my @WorkingTPM = qw(
- 12many ESIEEcv GuIT HA-prosper IEEEconf IEEEtran
- MemoirChapStyles SIstyle SIunits Tabbing Type1fonts
- a0poster aastex abbr abc abstract
- accfonts acronym active-conf aguplus algorithm2e algorithms
- algorithmicx alnumsec
- ams amscls amsldoc-it amsltx2 amsmath amsrefs amsthdoc-it
- apacite appendix arabtex
- archaic arcs arev armenian arrayjob arydshln ascii
- assignment attachfile aurical
- babelbib beamer beamer-tut-pt beebe begriff betababel
- bezos bghyphen bibhtml
- bibleref bibtopic bigfoot birthday blacklettert1 booklet boxhandler
- breakurl bussproofs bytefield
- caption carlisle cbcoptic cellspace changebar chappg
- chemcompounds circ cjhebrew clock cmll colortbl commath
- complexity comprehensive computational-complexity cool coollist
- coolstr cooltooltips coverpage
- csquotes cursolatex ctable curve curve2e curves cyrillic
- dateiliste datetime dk-bib doipubmed dottex
- draftwatermark dtxtut dvdcoll dvipsconfig dyntree
- ebong economic ednotes egameps eijkhout elpres emulateapj
- elsevier endfloat endheads enumitem es-tex-faq
- esint esint-type1 eskdx eso-pic etaremune ethiop europecv
- everypage examdesign exercise exteps extpfeil
- faktor fancyhdr fancynum fax featpost fixme flagderiv flippdf floatflt
- floatrow flowfram
- fltpoint fmtcount fncychap foekfont fontch fontspec forloop formular
- fourier free-math-font-survey frenchle
- galois genmisc genmpage germbib glossary gnuplottex gost graphics
- graphicx-psmin grnumalt
- hepthesis hhtensor hrlatex hyperref hyplain hyphen-base hyphen-basque
- hyphen-german
- hyphen-greek hyphen-norwegian hyphen-ukenglish
- hyphen-usorbian
- ibygrk icsv ifxetex iopart-num
- jneurosci juramisc
- koma-script
- l2picfaq l2tabu-english
- labelcas latex latex-tds ledmac lewis lfb lh linearA lineno
- listings lkproof lsc
- lshort-bulgarian lshort-dutch lshort-english
- lshort-finnish lshort-french lshort-german
- lshort-italian lshort-japanese lshort-korean
- lshort-mongolian lshort-polish lshort-portuguese
- lshort-slovak lshort-spanish
- lshort-thai lshort-turkish lshort-ukrainian lshort-vietnamese
- ltabptch ltxmisc
- mafr magyar makecell makeplot marginnote mathdots mathmode
- mcaption mdwtools
- memoir mentis metauml mfpic
- mhchem minipage-marginpar minitoc microtype minitoc mla-paper
- moderncv movie15 msg munich muthesis
- nag natbib ncclatex ncctools newlfm nih noitcrul
- nomencl nomentbl ntheorem-vn numprint
- oberdiek ocr-latex octavo opcit
- pauldoc pdf-trans pdfcprot pdfpages pdftex-def perception
- perltex pgf pictex pict2e placeins plari
- polynom poemscol powerdot
- ppr-prv pracjourn preview probsoln protocol psfrag psnfss pstricks
- pstricks-add
- pst-3d pst-3dplot pst-barcode pst-blur pst-eucl pst-func
- pst-labo pst-lens pst-optic pst-osci pst-pdf pst-pdgr pst-slpe
- pst-uml
- qtree
- randbild refstyle robustcommand rtkinenc rtklage
- sauterfonts savefnmark savesym savetrees scale
- scalebar sciposter scientificpaper screenplay script
- sectionbox sectsty semantic semaphor
- seminar semioneside seqsplit
- setspace sf298 sffms sgame shadbox shapepar
- shorttoc showdim showexpl showlabels
- sidecap sides siggraph skaknew slideshow
- smalltableof smartref snapshot songbook
- sort-by-letters soul sparklines spie splitindex splines splitbib
- spotcolor sprite srcltx sseq ssqquote stack stage
- stdclsdv stdpage stellenbosch
- sttools struktex subeqn subeqnarray subfig subfloat substr sudoku
- sudokubundle sugconf supertabular svn svn-multi
- svninfo swebib syntax syntrace synttree
- t-angles tableaux tabulary tabvar talk tamethebeast tengwarscript tensor
- teubner
- tex-refs texmate texshade textcase textfit
- textopo textpos thesis-titlepage-fhac thumb thumbpdf ticket
- titlefoot
- titlesec titling tocbibind tocloft todo tokenizer toolbox
- tools totpages tracking trajan
- trfsigns trsym tugboat twoup typedref typogrid
- ucthesis uhrzeit uiucthesis
- umlaute umich-thesis underlin undertilde units unitsdef
- upquote ushort
- vancouver variations varindex vector velthuis verse versions
- vhistory visualfaq vmargin volumes vpe
- wallpaper warning warpcol
- williams wordlike wrapfig
- xifthen xltxtra xq xyling xypic-tut-pt xytree
- york-thesis
- xcolor xkeyval xtab
+ 12many
+ a0poster aastex abbr abc abstract accfonts acmtrans acronym
+ active-conf aguplus algorithm2e algorithmicx algorithms
+ alnumsec ams amscls amsldoc-it amsltx2 amsmath amsrefs
+ amsthdoc-it apacite appendix arabtex archaic arcs arev
+ armenian arrayjob arydshln ascii assignment attachfile
+ aurical
+ babelbib beamer beamer-tut-pt beebe begriff betababel bezos
+ bghyphen bibhtml bibleref bibtopic bibunits bigfoot
+ birthday bitfield blacklettert1 blindtext booklet bophook
+ boxhandler breakurl bussproofs bytefield
+ caption carlisle cbcoptic ccaption cdpbundl cellspace
+ changebar chappg chem-journal chemcompounds cherokee circ
+ citeref cjhebrew clefval clock cmdtrack cmll colorinfo
+ colortbl commath compactbib complexity comprehensive
+ computational-complexity cool coollist coolstr cooltooltips
+ coordsys courier-scaled courseoutline coursepaper coverpage
+ crop csquotes ctable cursolatex curve curve2e curves
+ custom-bib cvsty cyrillic
+ dancers dashbox dateiliste datetime dcpic decimal digiconfigs
+ dinat dingbat directory dk-bib doipubmed dottex dpfloat
+ draftwatermark dramatist dtxtut dvdcoll dvipsconfig dyntree
+ ebong eCards economic ednotes eemeir egameps egplot eijkhout
+ ellipsis elpres elsevier emulateapj endfloat endheads
+ engrec enumitem envbig epiolmec epsf eqparbox es-tex-faq
+ ESIEEcv esint esint-type1 eskd eskdx eso-pic etaremune
+ ethiop ethiop-t1 euro europecv eurosans everypage exam
+ examdesign examplep exercise expressg extarrows exteps
+ extpfeil extsizes
+ faktor fancyhdr fancynum fax featpost filecontents fixme
+ flagderiv flippdf floatflt floatrow flowfram fltpoint
+ fmtcount fncychap foekfont fontch fontspec footbib forloop formular
+ fourier fp free-math-font-survey frenchle fribrief functan
+ galois gatech-thesis genmisc genmpage germbib ginpenc
+ glossary gnuplottex gost graphics graphicx-psmin greenpoint
+ grnumalt GuIT
+ HA-prosper hands hepthesis hhtensor hitec hrlatex hvfloat
+ hyperref hyperxmp hyphen-base hyphen-basque hyphen-german
+ hyphen-greek hyphen-norwegian hyphen-ukenglish
+ hyphen-usorbian hyplain
+ ibygrk icsv IEEEconf IEEEtran ifxetex inlinebib invoice
+ iopart-num isorot isotope
+ jneurosci jpsj jurabib juramisc
+ kalender kerkis keystroke koma-script
+ l2picfaq l2tabu-english labelcas labels latex latex-tds
+ layouts lcd lcg leaflet leawood ledmac lewis lfb lgreek lh
+ limap linearA lineno lipsum listings listliketab lkproof
+ logpap lsc lshort-bulgarian lshort-dutch lshort-english
+ lshort-finnish lshort-french lshort-german lshort-italian
+ lshort-japanese lshort-korean lshort-mongolian
+ lshort-polish lshort-portuguese lshort-slovak
+ lshort-spanish lshort-thai lshort-turkish lshort-ukrainian
+ lshort-vietnamese ltablex ltabptch ltxindex ltxmisc
+ mafr magyar mailing makebox makecell makecirc makeglos
+ makeplot maple marginnote mathdots mathmode maybemath
+ mcaption mceinleger mdwtools memoir MemoirChapStyles mentis
+ menu metaobj metaplot metatex metauml mfpic mftinc mhchem
+ mhs microtype minipage-marginpar minitoc minitoc mla-paper
+ moderncv movie15 msg multicap munich muthesis mwcls mwrite
+ nag natbib nath nature ncclatex ncctools newlfm nih noitcrul
+ nomencl nomentbl ntgclass ntheorem-vn numline numprint
+ oberdiek ocr-latex octavo ofs ogham oldstyle opcit
+ papercdcase paresse parrun pauldoc pdf-trans pdfcprot
+ pdfpages pdfscreen pdftex-def perception perltex permute
+ pgf phaistos pict2e pictex pittetd placeins plari plates
+ poemscol polynom powerdot ppr-prv pracjourn preprint
+ prettyref preview probsoln program protocol pseudocode
+ psfrag psnfss pspicture pst-3d pst-3dplot pst-bar
+ pst-barcode pst-blur pst-eucl pst-fr3d pst-func pst-labo
+ pst-lens pst-math pst-optic pst-osci pst-pdf pst-pdgr
+ pst-slpe pst-uml pstricks pstricks-add
+ qcm qtree
+ randbild rccol rcsinfo refstyle resume robustcommand
+ robustindex rsc rtkinenc rtklage
+ sae sauerj sauterfonts savefnmark savesym savetrees scale
+ scalebar scientificpaper sciposter screenplay script
+ sectionbox sectsty semantic semaphor seminar semioneside
+ seqsplit setspace sf298 sffms sgame shadbox shapepar
+ shorttoc showdim showexpl showlabels sidecap sides siggraph
+ SIstyle SIunits skaknew slideshow smalltableof smartref
+ snapshot songbook sort-by-letters soul sparklines spie
+ splines splitbib splitindex spotcolor sprite srcltx sseq
+ ssqquote stack stage stdclsdv stdpage stellenbosch struktex
+ sttools subeqn subeqnarray subfig subfloat substr sudoku
+ sudokubundle sugconf supertabular svn svn-multi svninfo
+ swebib syntax syntrace synttree
+ t-angles Tabbing tableaux tabulary tabvar talk tamethebeast
+ tengwarscript tensor teubner tex-refs texmate texshade
+ textcase textfit textopo textpos thesis-titlepage-fhac
+ thumb thumbpdf ticket titlefoot titlesec titling tocbibind
+ tocloft todo tokenizer toolbox tools totpages tracking
+ trajan trfsigns trsym tugboat twoup Type1fonts typedref
+ typogrid
+ ucthesis uhrzeit uiucthesis umich-thesis umlaute underlin
+ undertilde units unitsdef upquote ushort
+ vancouver variations varindex vector velthuis verse versions
+ vhistory visualfaq vmargin volumes vpe
+ wallpaper warning warpcol williams wordlike wrapfig
+ xcolor xifthen xkeyval xltxtra xq xtab xyling xypic-tut-pt
+ xytree
+ york-thesis
);
#abstyles not updated but too old to matter
#logic/gn-logic14 conflicts with logic font